body {
	width: 100%;
	overflow-x: hidden;
	min-height: calc(100vh - var(--nav-height));
	padding-top: var(--nav-height);
	display: flex;
	flex-direction: column;
}

.tab-header {
	padding-top: 18px !important;
}

h2 {
	font-size: 17px;
	margin-top: 5px;
}

h3 {
	margin: 10px 0 10px 0;
	letter-spacing: 10px;
	font-size: 24px;
	color: #111;
}

h4 {
	font-size: 11px;
	margin-top: 5px;
}

h5 {
	font-size: 11px;
	margin-top: 10px;
}

h6 {
	margin: 5px 0 25px 0;
	font-size: 18px;
	color: #111;
}

.lead {
	font-size: clamp(14px, 2.5vw, 16px);
}

.lead-img {
  width: 100%;
  height: 380px;
  object-fit: cover;
  object-position: 50% 20%;
}

.card-img-top.lead-img {
    border-bottom: 1px solid #eee;
}

.secondary-img {
  width: 100%;
  aspect-ratio: 4 / 3;
  object-fit: cover;
}

.heading-small {
	font-size: 15px !important;
	margin-top: 7px !important;
}

.container {
	max-width: 1150px !important;
}

.scroll-container {
	max-height: calc(100vh - var(--nav-height) - 60px);
	overflow-y: auto;
}

.card-narrow {
	max-width: 720px;
	margin-left: auto;
	margin-right: auto;
}

.card {
	opacity:0.9 !important;
	display: flex;
	flex-direction: column;
}

.modal-dialog {
	margin: 0.5rem auto;
	max-height: 100vh;
}

.modal-content {
	max-height: 100vh;
}

.modal-body {
	max-height: calc(100vh - 200px);
	overflow-y: auto;
}

.modal-footer {
	position: sticky;
	bottom: 0;
	background-color: #fff;
}

hr {
	margin-top: 0.1em !important;
	margin-bottom: 0.3em !important;
}

.captiontop {
	caption-side: top;
}

a {
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:focus {
	text-decoration: underline;
}

.autocomplete-list {
	position: absolute;
	z-index: 1000;
	background: #fff;
	width: 80%;
	max-height: 240px;
	overflow-y: auto;
}

.autocomplete-item {
	padding: 6px 10px;
	cursor: pointer;
}

.autocomplete-item:hover {
	background-color: #f8f9fa;
}

.title {
	margin: 10px 0 30px 0;
	font-size: 20px;
	color: #111;
}

.commentTitlelead {
	font-size: 36px;
}

.commentTitle {
	font-size: 22px;
}

.commentText {
	font-size: 14px;
}

.commentTextlead {
	font-size: 18px;
}

.row {
	margin-right: 0px;
	margin-left: 0px;
}

.micro-col {
	width: 2rem;     /* Pld/Won/Drn/Lost */
}

.thin-col {
	width: 4rem;     /* Pld/Won/Drn/Lost */
}

.mid-col {
	width: 6rem;     /* Perf / Adjust / Diff */
}

.big-col {
	width: 10rem;
	word-wrap: break-word;
	white-space: normal;
}

.details-col {
	width: auto;     /* soak remaining space */
}

.lead-clamp {
	max-height: 16em;          /* controls visible height */
	overflow: hidden;
	position: relative;
}

/* Normalize internal block elements */
.lead-clamp p {
	margin-bottom: 0.5em;
}

.lead-clamp p:last-child {
	margin-bottom: 0;
}

.lead-clamp::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	height: 2em;
	background: linear-gradient(to bottom, rgba(255,255,255,0), #fff);
}

:root {
	--group-border-thick: 4px solid #212529; /* Bootstrap dark */
	--group-border-thin: 2px solid #dee2e6;  /* Bootstrap default table border */
}

.ql-editor { padding: 0px 10px; }

.matchcard-wrapper {
	position: relative;
	width: 100%;
	max-width: 1000px;   /* design width */
	aspect-ratio: 148 / 105;

	background-image: url('https://www.wdclchess.org.uk/source/images/matchcard.jpg');
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	container-type: inline-size;
}

.matchcard-overlay {
	position: absolute;
	inset: 0;
	color: black;
	font-weight: 600;
	font-family: system-ui, sans-serif;

	font-size: 2.2cqw;  /* scales with width */
}

/* Matchcard overlay HEADER */
.matchcard-hometeam{
	position: absolute;
	top: 23%;
	left: 13%;
}
.matchcard-awayteam {
	position: absolute;
	top: 23%;
	left: 60%;
}
.matchcard-matchnum {
	position: absolute;
	top: 11.5%;
	left: 3.5%;
}
.matchcard-round {
	position: absolute;
	top: 11%;
	left: 41%;
	font-size: 1.1em;
}
.matchcard-division {
	position: absolute;
	top: 11%;
	left: 78%;
}
/* Matchcard overlay BOARD 1 */
.matchcard-boardcolour1 {
	position: absolute;
	top: 35%;
	left: 6%;
	font-size: 0.45em;
}
.matchcard-homerule1 {
	position: absolute;
	top: 35%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer1 {
	position: absolute;
	top: 34%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult1 {
	position: absolute;
	top: 34%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer1 {
	position: absolute;
	top: 34%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult1 {
	position: absolute;
	top: 34%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule1 {
	position: absolute;
	top: 35%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename1 {
	position: absolute;
	top: 35%;
	left: 85%;
	font-size: 0.45em;
}
/* Matchcard overlay BOARD 2 */
.matchcard-boardcolour2 {
	position: absolute;
	top: 42%;
	left: 6%;
	font-size: 0.45em;
}
.matchcard-homerule2 {
	position: absolute;
	top: 41%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer2 {
	position: absolute;
	top: 41%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult2 {
	position: absolute;
	top: 41%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer2 {
	position: absolute;
	top: 41%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult2 {
	position: absolute;
	top: 41%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule2 {
	position: absolute;
	top: 41%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename2 {
	position: absolute;
	top: 41%;
	left: 85%;
	font-size: 0.45em;
}
/* Matchcard overlay BOARD 3 */
.matchcard-boardcolour3 {
	position: absolute;
	top: 48%;
	left: 6%;
	font-size: 0.45em;
}
.matchcard-homerule3 {
	position: absolute;
	top: 47%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer3 {
	position: absolute;
	top: 47%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult3 {
	position: absolute;
	top: 47%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer3 {
	position: absolute;
	top: 47%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult3 {
	position: absolute;
	top: 47%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule3 {
	position: absolute;
	top: 47%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename3 {
	position: absolute;
	top: 47%;
	left: 85%;
	font-size: 0.45em
}
/* Matchcard overlay BOARD 4 */
.matchcard-boardcolour4 {
	position: absolute;
	top: 54%;
	left: 6%;
	font-size: 0.45em;
}
.matchcard-homerule4 {
	position: absolute;
	top: 54%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer4 {
	position: absolute;
	top: 54%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult4 {
	position: absolute;
	top: 54%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer4 {
	position: absolute;
	top: 54%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult4 {
	position: absolute;
	top: 54%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule4 {
	position: absolute;
	top: 54%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename4 {
	position: absolute;
	top: 54%;
	left: 85%;
	font-size: 0.45em;
}
/* Matchcard overlay BOARD 5 */
.matchcard-boardcolour5 {
	position: absolute;
	top: 61%;
	left: 6%;
	font-size: 0.45em;
}
.matchcard-homerule5 {
	position: absolute;
	top: 61%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer5 {
	position: absolute;
	top: 61%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult5 {
	position: absolute;
	top: 61%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer5 {
	position: absolute;
	top: 61%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult5 {
	position: absolute;
	top: 61%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule5 {
	position: absolute;
	top: 61%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename5 {
	position: absolute;
	top: 61%;
	left: 85%;
	font-size: 0.45em;
}
/* Matchcard overlay BOARD 6 */
.matchcard-boardcolour6 {
	position: absolute;
	top: 68%;
	left: 6%;
	font-size: 0.45em
}
.matchcard-homerule6 {
	position: absolute;
	top: 68%;
	left: 9%;
	font-size: 0.45em;
}
.matchcard-homeplayer6 {
	position: absolute;
	top: 68%;
	left: 13%;
	font-size: 0.82em;
}
.matchcard-homeresult6 {
	position: absolute;
	top: 68%;
	left: 43%;
	font-size: 0.82em;
}
.matchcard-awayplayer6 {
	position: absolute;
	top: 68%;
	left: 48%;
	font-size: 0.82em;
}
.matchcard-awayresult6 {
	position: absolute;
	top: 68%;
	left: 77%;
	font-size: 0.82em;
}
.matchcard-awayrule6 {
	position: absolute;
	top: 68%;
	left: 82%;
	font-size: 0.55em;
}
.matchcard-rulename6 {
	position: absolute;
	top: 68%;
	left: 85%;
	font-size: 0.45em;
}
/* Matchcard overlay FOOTER */
.matchcard-status {
	position: absolute;
	bottom: 22%;
	left: 82%;
	font-size: 0.73em;
}
.matchcard-shockvalue {
	position: absolute;
	bottom: 17%;
	left: 82%;
	font-size: 0.45em;
}
.matchcard-matchdate {
	position: absolute;
	bottom: 8%;
	left: 25%;
	font-size: 1em;
}
.matchcard-homehandicap {
	position: absolute;
	bottom: 22%;
	left: 43%;
	font-size: 1em;
}
.matchcard-awayhandicap {
	position: absolute;
	bottom: 22%;
	left: 77%;
	font-size: 1em;
}
.matchcard-homeresult {
	position: absolute;
	bottom: 15.5%;
	left: 42%;
	font-size: 1em;
}
.matchcard-awayresult {
	position: absolute;
	bottom: 15.5%;
	left: 76%;
	font-size: 1em;
}
.matchcard-enteredby {
	position: absolute;
	bottom: 11.5%;
	left: 60%;
	font-size: 0.50em;
}
.matchcard-verifiedby {
	position: absolute;
	bottom: 8.75%;
	left: 60%;
	font-size: 0.50em;
}
.matchcard-completedby {
	position: absolute;
	bottom: 6%;
	left: 60%;
	font-size: 0.50em;
}
.matchcard-homeadjustment {
	position: absolute;
	bottom: 16%;
	left: 9%;
	font-size: 0.73em;
}
.matchcard-awayadjustment {
	position: absolute;
	bottom: 22%;
	left: 9%;
	font-size: 0.73em;
}

.playername {
	padding: .10rem !important;
	height:35px;
}

.fixturetitle {
	font-size: 12px;
}

.fixture {
	font-size: 10px;
}

.detailsbutton {
	padding: .10rem !important;
	height:35px;
}

.card-header {
	font-size: 13px !important;
	line-height: 0.8;
}

.card-body {
	font-size: 11px;
	line-height: 1.2;
	padding: 3px 3px 3px 4px;
}

.card-body-tables {
	font-size: 14px;
}

#results-handler {
	font-size: 11px;
	padding: 0.2rem 0.4rem;
	line-height: 1.2;
}

.helpbutton {
	background-color: #6c757d;
	border: none;
	color: rgba(255,255,255,.5);
	padding: 5px 10px;
	margin-top: 5px;
	cursor: pointer;
	font-size: 19px;
}

/* Darker background on mouse-over */
.helpbutton:hover {
	background-color: #535a5f;
	color: white;
}

.col-form-theme {
	padding-top: 1px !important;
	line-height: 1.0 !important;
}

.col-form-label {
	font-size: 15px !important;
	padding-bottom: 10px !important;
	line-height: 1.1 !important;
}

/* hidden on-screen */
.print-only {
	display: none;
}

.white {
	color: darkgray;
}

.black {
	color: black;
}

.usertable {
	line-height: 35px;
}

/* MAIN NAV ONLY */
#mainNav {
	border: 2px solid #000;
	font-size: 12px;
}

/* Active + focus */
#mainNav .nav-link.active,
#mainNav .nav-link:focus-visible {
	border-radius: 0.25rem;
}

/* REGISTRATION NAVBAR */
.navbar {
	font-size: 13px;
}


/* change the brand and text color */
.navbar-brand {
	font-size: 20px;
	padding-left: 4px;
	padding-right: 4px;
	
}

.nav-tabs {
	margin-bottom: 0px;
}

/* Dropdown menus */
.dropdown-submenu {
	position: relative;
	font-size: 14px;
	padding-left: 0px;
	padding-right: 0px;
}
.dropdown-submenu .dropdown-menu {
	top: 0;
	left: 100%;
	margin-top: -1px;
	font-size: 14px;
	padding-left: 0px;
	padding-right: 0px;
}
.dropdown-item {
	color: black !important;
}
.dropdown-item:hover {
	background-color: lightslategrey !important;
}

.smallcaption a:link {
	color: darkgreen !important;
}

#myTab a {
	padding-left: 7px;
	padding-right: 7px;
}

.person {
	border: 10px solid transparent;
	margin-bottom: 25px;
	width: 80%;
	height: 80%;
	opacity: 0.7;
}
.person:hover {
	border-color: #f1f1f1;
}

.url {
	font-size: 11px !important;
}

.teamresult {
	font-size: 14px !important;
}

.teamverifyresult {
	font-size: 18px !important;
}

.playerresult {
	font-size: 14px !important;
}

.boardresult {
	font-size: 14px !important;
}

.email {
	font-size: 12px !important;
}

.comment {
	font-size: 12px !important;
}

.slategrey {
	color: slategrey;
}

.slategreyres {
	top: .3em;
	color: slategrey;
}

.incomplete {
	color: goldenrod !important;
}

@media (max-width: 600px) {
	.carousel-caption {
		display: none; /* Hide the carousel text when the screen is less than 600 pixels wide */
	}
}

.modal-header {
    background-color: #333;
    color: black;
}

.modal-body {
    padding-top: 0.75rem; /* subtle tightening */
}

/* Optional: tighten rows inside modal */
.modal-body .row {
    margin-bottom: 0.5rem;
}

.eventdate { font-size: 13px; }

.latitude { font-size: 13px; }

.longitude { font-size: 13px; }

.lang { font-size: 13px; }

.form-group {
	font-size: 13px !important;
	text-align:left;
}

.imagelabel {
	width: 60px;	
}

.clubmap {
	max-width: 75%;
	height: auto;
}

.username {
	text-align:left;
	width:80px;
}

span.cbline {
	overflow: hidden !important;
	text-overflow: ellipsis !important;
	word-wrap: break-word !important;
}

.userselect {
	text-align:left;
	width:294px;
}

.detailBox {
	max-width: 920px;
	width: 100%;
	margin: 50px auto;
	border:1px solid #bbb;
}

#blog {
	margin:5px;
}

.titleBox {
	padding:0px;
}
.titleBox label{
	margin:0;
	display:inline-block;
}
.commentBox {
	padding:7px;
	border-top:1px dotted #bbb;
}
.commentBox .form-group:first-child, .actionBox .form-group:first-child {
	width:80%;
}
.commentBox .form-group:nth-child(2), .actionBox .form-group:nth-child(2) {
	width:18%;
}
.actionBox .form-group * {
	width:100%;
}
.taskDescription {
	margin-top:0px;
}
.commentList {
	padding:10px;
	list-style:none;
	max-height:400px;
	overflow:auto;
}
.commentList li > div {
	display: table-cell;
}
.commentTitle {
	padding: 10px;
	outline: 0px;
	font-size: 28px;
	font-weight: 400;
	margin-top: 5px;
	margin-left: 10px;
	margin-right: 5px;
	line-height: 1.2;
	text-decoration: none;
	word-wrap: break-word;
	display: inline;
}

.commentText {
	padding: 10px;
	outline: 0px;
	font-size: 18px;
	margin-left: 10px;
	margin-right: 5px;
	line-height: 28px;
	font-weight: 300;
	text-decoration: none;
	word-wrap: break-word;
	margin-bottom: 1.6em;
}

.sub-text {
	padding: 5px;
	font-size:11px;
	line-height: 0.6;
	margin-left: 5px;
	margin-right: 5px;
	display: inline;
}

.linkTitle {
	padding: 5px;
	outline: 0px;
	font-size: 22px;
	font-weight: 400;
	margin-top: 30px;
	margin-left: 10px;
	margin-right: 10px;
	line-height: 1.2;
	text-decoration: none;
	word-wrap: break-word;
	display: inline;
}

.linkText a {
	padding: 5px;
	outline: 0px;
	font-size: 18px;
	margin-left: 5px;
	margin-right: 10px;
	line-height: 35px;
	text-decoration: none;
	word-wrap: break-word;
	margin-bottom: 5px;
}

.linkText a:hover,
.linkText a:focus {
	text-decoration: underline;
}

.actionBox {
	border-top:1px dotted #bbb;
	padding:0px;
}

.team {
	margin:5px;
	font-size:14px;
}
.licence {
	font-family:verdana;
	font-size:12px;
}
#licencebronze {
	color:darksalmon;
}
#licencesilver {
	color:silver;
}
#licencegold {
	color: #B59410;
}

/* Cards for links disaply */
.card-columns-masonry {
	column-count: 1;
	column-gap: 1rem;
}

@media (min-width: 576px) {
	.card-columns-masonry {
		column-count: 2;
	}
}

@media (min-width: 992px) {
	.card-columns-masonry {
		column-count: 3;
	}
}

@media (min-width: 1400px) {
	.card-columns-masonry {
		column-count: 4;
	}
}

/* Prevent cards from breaking across columns */
.card-columns-masonry {
	column-width: 220px;   /* 👈 THIS is the key fix */
	column-gap: 1rem;
}

.masonry-card {
	display: inline-block;
	width: 100%;
	break-inside: avoid;
	margin-bottom: 1rem;
}

/* Make teamcard registrations table rows more compact */
.registrationsreduce table td,
.registrationsreduce table th {
	padding: 4px 8px;   /* reduce vertical padding */
	line-height: 1.2;   /* tighter text */
}

.registrationsmax {
	max-width: 800px;
	margin: 0 auto;
}

.registrationsteamcardmax {
	max-width: 800px;
	margin: 0 auto;
}

.seasonsmax {
	max-width: 600px;
	margin: 0 auto;
}

/* The switch - the box around the slider */
.switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
	float:right;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	transition: .4s;
}

.slider:before {
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	transition: .4s;
}

input.default:checked + .slider {
	background-color: #444;
}
input.primary:checked + .slider {
	background-color: #2196F3;
}
input.success:checked + .slider {
	background-color: #8bc34a;
}
input.info:checked + .slider {
	background-color: #3de0f5;
}
input.warning:checked + .slider {
	background-color: #FFC107;
}
input.danger:checked + .slider {
	background-color: #f44336;
}

input:focus + .slider {
	box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
	transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
	border-radius: 34px;
}

.slider.round:before {
	border-radius: 50%;
}

.smallcaption {
	caption-side: top;
	text-align: left;
	background-color: transparent;
	font-size: 12px;
	text-decoration: none;
	height: 30px;
}

table th a {
	text-decoration: none;
}
table td a {
	text-decoration: none;
}

table th a:hover,
table td a:hover {
	text-decoration: underline;
}

table th a:focus,
table td a:focus {
	text-decoration: underline;
}

.border-bottom {
	border-left-color: black !important;
	border-right-color: black !important;
}

.border-top {
	border-left-color: black !important;
	border-right-color: black !important;
}

.namesmall {
	font-size: 11px;
}

.namesmall a {
	font-size: 11px;
}

.namesmall a:hover {
	text-decoration: underline;
}

.namesmall a:active {
	text-decoration: underline;
}

.namesmall sup {
	vertical-align: top;
	font-size: 8px;
}

.namesmall a sup {
	vertical-align: top;
	font-size: 8px;
}

.namesmallblack {
	font-size: 11px;
}

.namesmallblack a {
	font-size: 11px;
}

.namesmallblack a:hover {
	text-decoration: underline;
}

.namesmallblack sup {
	vertical-align: top;
	font-size: 8px;
}

.namesmallblack a sup {
	vertical-align: top;
	font-size: 8px;
}

.statussmall {
	font-size: 10px !important;
}

.matchnumsmall {
	font-size: 10px !important;
}

.resultsmall {
	font-size: 12px !important;
}
.smalltext {
	font-size: 0.75rem;
	white-space: nowrap;
}
.btn-group.equal-width > .btn {
	flex: 1 1 0 !important;
}
.seasonselect {
	min-width: 90px !important;
}
.w-40 { width: 40%; }
.w-20 { width: 20%; }
.text-truncate {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.card:hover {
	box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
   transform: translateY(-2px);
   transition: 0.2s ease;
}

/* Miscellaneous */
.logo {
	margin: 0px !important;
	width: 100% !important;
	max-width: 100% !important;
}

.logo-figure {
	text-align: center;
}

.logo-title {
	margin-top: 0.5rem;
	font-size: 0.9rem;
	font-weight: 500;
}

.logo-title-input {
	width: 100%;
	text-align: center;
	border: 1px solid #ccc;
	padding: 0.25rem;
}

.slot-box {
	height: 100%;
	border: 2px solid #212529;
	border-radius: 0.375rem;
	padding: 0.4rem;
}

.slot-header {
	margin-top: 1px !important;
}

.card-body-tables {
    min-height: auto;
}

.ql-editor {
	font-family: Arial, sans-serif;
}

/* Table and section backgrounds */
.statsheader,
.bg-upperslot,
.bg-lowerslot {
	background-color: ghostwhite !important;
	border: 2px solid grey;
}

.datepicker {
	background-color: gainsboro !important;
	border: 1px solid #ccc !important;
	padding: 4px;
	border-radius: 6px;
}

#MyregistrationsTabs .nav-link {
    white-space: nowrap;
	 font-size: 11px;
}

/* Desktop view */
@media only screen and (max-width: 767.98px) {
	h6 {
		margin: 10px 0 10px 0;
		font-size: 14px;
	}
	
	.commentTitle {
		padding: 50px;
		font-size: 24px;
		margin-top: 1px;
		margin-left: 1px;
		margin-right: 1px;
	}
	.commentText {
		padding: 1px;
		outline: 0px;
		font-size: 14px;
		margin-left: 1px;
		margin-right: 1px;
		line-height: 24px;
		margin-bottom: 1em;
	}
	.largemenu {
		display: none;
	}
	.smallmenu {
		display: block;
	}

	.eventstat_modalbody { height: 250px; }

	/* Hide non-essential columns */
	.col-hidewhensmall {
		display: none;
	}

	/* Compact typography */
	table {
		font-size: 11px;
	}

	/* Name column becomes dominant */
	.col-name {
		width: auto !important;
		white-space: normal;
		word-break: break-word;
	}
}

@media only screen and (min-width: 992px) {
	.largemenu {
		display: block;
	}
	.smallmenu {
		display: none;
	}
}

#print-wrapper {
	display: none;
}

#tablesholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

#fixturesholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

#resultsholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

#statsholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

#registrationsholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

#gamesholder-tab h2 {
	font-size: clamp(0.7rem, 2.5vw, 1.8rem);
}

@media (max-width: 1100px) {
	.matchcard-wrapper {
		transform: scale(calc((100vw - 40px) / 1000));
	}
}

@media (min-width: 768px) {
	.btn-md-normal {
		padding: .375rem .75rem;
		font-size: 1rem;
		line-height: 1.5;
		border-radius: .25rem;
	}
}
/* Smaller buttons on screens < 768px */
@media (max-width: 767.98px) {
	.btn-responsive {
		padding: 0.15rem 0.4rem;
		font-size: 0.75rem;
		line-height: 1;
	}
}
@media (max-width: 768.98px) {
	.navbar-nav .nav-link {
		padding-top: 0.4rem;
		padding-bottom: 0.4rem;
		line-height: 0.95;
		font-size: 0.95rem; /* optional */
		border: none !important;
		margin: 0;
		border-radius: 0;
	}
	.navbar-collapse {
		max-height: 80vh;
		overflow-y: auto;
	}
	.dropdown-menu {
		position: static;
		float: none;
		width: 100%;
		margin-top: 0;
		border: none;
		box-shadow: none;
	}
}
@media (max-width: 991.98px) {
	.navbar-nav .nav-link {
		padding-top: 0.4rem;
		padding-bottom: 0.4rem;
		line-height: 0.95;
		font-size: 0.95rem; /* optional */
      border: none !important;
      margin: 0;
      border-radius: 0;
	}
	.navbar-collapse {
		max-height: 80vh;
		overflow-y: auto;
	}
	.dropdown-menu {
		position: static;
		float: none;
		width: 100%;
		margin-top: 0;
		border: none;
		box-shadow: none;
	}
}